"use strict";

const { validateValue } = require("@validatem/core");
const isArguments = require("./");

function callImmediately(func) {
	return func();
}

callImmediately(function () {
	console.log(validateValue(arguments, [ isArguments ])); // [Arguments] {}
});

console.log(validateValue("hello world", [ isArguments ])); /*
	AggregrateValidationError: One or more validation errors occurred:
	 - At (root): Must be an arguments object
*/
